﻿
$ErrorActionPreference = 'Stop';

$softVersion = '3.4.4'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${softVersion}/${packageName}-v${softVersion}-Windows-64.zip"
$fileLocation = Join-Path $toolsDir "${packageName}-v${softVersion}-Windows-${osBitness}.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64
  file         = $fileLocation

  softwareName  = 'mrViewer*'

  checksum      = '2A427E598F67020BD89E5E794A2AB8295F291958538BE7EAAE456AD38A539C66'
  checksumType  = 'sha256'
  checksum64    = 'EF4DF049E840628F74B7AD04062BCDAC7B8D73FD584EAF2707667716B605FC6F'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Install-ChocolateyZipPackage @packageArgs


$target = Join-Path $programFiles "${packageName}-v${softVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath "${target}" 'User'

$DesktopPath = [Environment]::GetFolderPath("Desktop")
Install-ChocolateyShortcut -shortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${softVersion}.lnk" -targetPath "${target}/${packageName}.exe"
